unit UMainExpertCep;
(*
 * Module:      ,        Delphi
 * Version:    1.1.0.0 (24.09.2008)
 * Author:      
 *
 * Copyright:   2008 Cep Po
 *
 * Version:    1.1.0.0 (24.09.2008)
 * Realized:     Delphi 2009
 *)
interface
{$I Directives.inc}
uses Windows, SysUtils, Classes, ToolsAPI, Menus, IniFiles,
  RegisterIdeMenu, uIDEutl, TextUtlCep, ufSpecInst;
resourcestring
  Res_MainMenuName = ' .';
  Res_PasteMenuName = '   ';  // Alt + V
  Res_CopyMenuName = '   ';    // Alt + C
  Res_SpecNeedShowForm = ' ';

type
  TExpertCep = class(TObject)
  private
    fFormSpecIns: TFormSpecIns;
    fTextW: WideString;
    fOldSelStart: LongInt;
    fOldSelLength: Integer;
    procedure PasteSpecial(InCode, CopyAfterShow: boolean; ShowForm: boolean= true);
  protected
  public
    destructor Destroy; override;
    procedure DoPaste(Sender: TObject);
    procedure DoCopy(Sender: TObject);
    procedure DoMainMenu(Sender: TObject);
    procedure DoNeedShowForm(Sender: TObject);
    procedure DoUpdateNeedShowForm(Sender: TObject);
    procedure ChangeSelection(Sender: TObject);
    procedure Insert(Sender: TObject);
  end;

procedure RefreshNeedShowForm;
procedure UpdateNeedShowForm;

//procedure Register;

implementation
...
