unit ImageIndex;
(*
 * Module:           TImageIndexProperty
 * Version:    1.8.0.0 (20.01.2010)
 * Author:      
 * Comments:         .
 *                    
 *              : roschinspb@mail.ru
 *             http://www.delphikingdom.com/asp/users.asp?ID=1271
 *             http://www.roschinspb.boom.ru
 *
 * Copyright:   2006  2010
 *
 * Version:    1.8.0.0 (20.01.2010)
 * Realized:        TCustomGliphs
 *)
interface
{$I '..\Directives.inc'}
uses Windows, SysUtils, Classes, CommCtrl,
  {$IFDEF VER130}
  DsgnIntf,
  {$ELSE}
  DesignIntf, DesignEditors, VCLEditors,
  {$ENDIF}
  TypInfo, Graphics, Controls, ImgList, SpeedButtonCep;

const // ,     
  GroupProps: array[0..1] of string = ('Gliphs',
    'Blend');
  //   
  NameGroupProps = ' ';
type
  //  ImgList
  TImageIndexProperty = class(TEnumProperty{$IFDEF VER130}{$ELSE},
      ICustomPropertyDrawing,
      ICustomPropertyListDrawing{$ENDIF})
  private
    fCountImages: integer;
    fHandle: THandle;
    fW, fH: integer;
    procedure UpdateInfo;
    function GetIndexImage(value: string): integer;
  public
    procedure GetValues(Proc: TGetStrProc); override;
    function GetValue: string; override;
    procedure SetValue(const Value: string); override;
    function GetAttributes: TPropertyAttributes; override;

    procedure ListMeasureHeight(const Value: string; ACanvas: TCanvas; var AHeight: Integer); {$IFDEF VER130} override;
      {$ELSE}{$ENDIF}
    procedure ListMeasureWidth(const Value: string; ACanvas: TCanvas; var AWidth: Integer); {$IFDEF VER130} override;
      {$ELSE}{$ENDIF}
    procedure ListDrawValue(const Value: string; ACanvas: TCanvas; const ARect: TRect; ASelected: Boolean);
      {$IFDEF VER130} override; {$ELSE}{$ENDIF}

    procedure PropDrawName(ACanvas: TCanvas; const ARect: TRect; ASelected: Boolean); {$IFDEF VER130} override;
      {$ELSE}{$ENDIF}
    procedure PropDrawValue(ACanvas: TCanvas; const ARect: TRect; ASelected: Boolean); {$IFDEF VER130} override;
      {$ELSE}{$ENDIF}
  end;

procedure Register;

implementation
...
